Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1414004

Summary: Review Request: rubygem-rspec-pending_for - Mark specs pending or skipped for specific Ruby engine
Product: [Fedora] Fedora Reporter: František Dvořák <valtri>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review
Target Milestone: ---Flags: mtasaka: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-08 14:20:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1414001, 1414002    
Bug Blocks:    

Description František Dvořák 2017-01-17 14:26:14 UTC
Spec URL: http://scientific.zcu.cz/fedora/rubygem-rspec-pending_for-0.1.3-1/rubygem-rspec-pending_for.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-rspec-pending_for-0.1.3-1/rubygem-rspec-pending_for-0.1.3-1.fc26.src.rpm
Description: Mark specs pending or skipped for specific Ruby engine (e.g. MRI or JRuby) / version combinations.
Fedora Account System Username: valtri

COPR build: https://copr.fedorainfracloud.org/coprs/valtri/ruby/build/500704/

Comment 1 Mamoru TASAKA 2017-04-30 15:18:00 UTC
If you are still interested in this, first please upgrade to 0.1.4.
Anyway taking.

By the way, I would appreciate it if you would review my review request (bug 1446927)

Comment 3 Mamoru TASAKA 2017-05-02 13:43:59 UTC
One note:

* Possibly unneeded files
  - Please check if the files under bin/ is really needed.
    Looks like these are scripts used for development or for installation
    process, and don't seem to be needed for runtime
    (and actually these don't seem useful)

Otherwise okay.
- spec file clean
- rpmlint clean
- license okay (MIT)
- builds fine (F-27, F-26)
- installation okay
- basic functionality okay

------------------------------------------------
  This package (rubygem-rspec-pending_for) is
  APPROVED by mtasaka
------------------------------------------------

Comment 4 František Dvořák 2017-05-03 11:12:48 UTC
You're right, binaries in %{gem_instdir}/bin/ can be excluded. Thanks!

Comment 5 Gwyn Ciesla 2017-05-03 12:43:00 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-rspec-pending_for

Comment 6 Fedora Update System 2017-05-03 14:14:31 UTC
rubygem-rspec-pending_for-0.1.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-34c4e4709d

Comment 7 Fedora Update System 2017-05-03 14:14:38 UTC
rubygem-rspec-pending_for-0.1.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-169fc72a5d

Comment 8 Fedora Update System 2017-05-04 18:55:13 UTC
rubygem-rspec-pending_for-0.1.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-34c4e4709d

Comment 9 Fedora Update System 2017-05-04 22:06:20 UTC
rubygem-rspec-pending_for-0.1.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-169fc72a5d

Comment 10 Fedora Update System 2017-05-08 14:20:53 UTC
rubygem-rspec-pending_for-0.1.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-05-19 14:57:29 UTC
rubygem-rspec-pending_for-0.1.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.